> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET SMTP Settings

> Configure email SMTP settings.

## Get SMTP config

`GET /api/admin/getSmtpConfig`

Configure SMTP for sending emails from the platform.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/admin/getSmtpConfig \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "host": "smtp.gmail.com",
    "port": 587,
    "secure": false,
    "user": "noreply@example.com",
    "fromName": "My Platform",
    "fromEmail": "noreply@example.com"
  }
}
```

***

## Create/update SMTP config

`POST /api/admin/smtpConfig`

```json theme={null}
{
  "host": "smtp.gmail.com",
  "port": 587,
  "secure": false,
  "user": "noreply@example.com",
  "pass": "app-password",
  "fromName": "My Platform",
  "fromEmail": "noreply@example.com"
}
```

***

## Upload SMTP logo

`POST /api/admin/smtp/upload-logo`

Accepts `multipart/form-data` with a logo image.

***

## Send email

`POST /api/contact/sendmail`

```json theme={null}
{
  "to": "user@example.com",
  "subject": "Welcome",
  "body": "<h1>Welcome to our platform!</h1>"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.